## panflute 2.3.0

=== requirements.txt ===
pyyaml
click

=== tests/requirements.txt ===
pandocfilters
configparser
pytest-cov
docutils
Pygments

=== examples/input/Makefile ===

ALLSAMPLES = $(basename $(wildcard *-sample.md))
ALLPDF = $(addsuffix .pdf,$(ALLSAMPLES))

PYTHON=/usr/bin/python2

all: ${ALLPDF}

%.pdf: %.md
	echo $(subst -sample.md,.py,$<)
	pandoc --filter ./$(subst -sample.md,.py,$<) $< -o $@
	
clean:
	$(RM) -f ${ALLPDF} *.pyc 
	$(RM) -rf *-images

## panflute 0.6.2

=== debian/changelog ===
panflute (0.6.2-2) unstable; urgency=low

  * Update to Debian policy 3.9.1.
  * List supported players (Closes: #555504).
  * Add dependency on python-gnomeapplet (Closes: #597590).
  * Add suggests on python-pyinotify (Closes: #597591).
  * Add suggests on python-kde3 and python-xmmsclient.
  * Add XMMS2 to list of supported players.
  * Add README.Debian to panflute-daemon to describe optional package
    dependencies.

 -- Fladischer Michael <FladischerMichael@fladi.at>  Tue, 21 Sep 2010 12:19:58 +0200

panflute (0.6.2-1) unstable; urgency=low

  * Initial release. (Closes: #586348)

 -- Fladischer Michael <FladischerMichael@fladi.at>  Sun, 27 Jun 2010 08:45:46 +0200

=== debian/control ===
Source: panflute
Section: gnome
Priority: optional
Maintainer: Fladischer Michael <FladischerMichael@fladi.at>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), 
 gconf2,
 intltool (>= 0.40),
 libdbus-1-dev,
 pkg-config (>= 0.9.0),
 python (>=2.6), 
 python-dbus (>= 0.80), 
 python-gconf,
 python-gnome2-desktop-dev,
 python-gobject-dev, 
 python-gtk2-dev (>= 2.16),
 python-mpd, 
 python-numpy,
 python-notify,
 python-pyinotify, 
 python-support (>= 0.5.3),
 python-gnomedesktop, 
 python-gnomeapplet
Standards-Version: 3.9.1
Homepage: https://launchpad.net/panflute
Vcs-Svn: svn://svn.debian.org/python-apps/packages/panflute/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/panflute/trunk/

Package: panflute-daemon
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 python-dbus (>= 0.80),
 python-gobject
Recommends: rhythmbox (>= 0.9.2) |
 amarok (>= 1.4) |
 audacious |
 banshee (>= 1.0) |
 exaile |
 guayadeque |
 listen |
 moc |
 muine |
 python-mpd |
 quodlibet |
 vlc (>= 0.9.0)
Suggests: python-kde3, python-xmmsclient, python-pyinotify
Description: MPRIS interface to control several music players
 Panflute provides a generic MPRIS interface to control a variety of
 music players, including many that do not implemented MPRIS themselves.
 This allows developers to create programs that interact with many
 different players, without needing to worry about the details of each
 player's particular interface. Panflute also provides extensions for
 features not included in the MPRIS specification.
 .
 Currently supported players are:
  * Amarok
  * Audacious
  * Banshee
  * Exaile
  * Guayadeque
  * Listen
  * MOC
  * MPD
  * Muine
  * Quodlibet
  * Rhythmbox
  * VLC
  * XMMS2 (requires python-xmmsclient)
 .
 This package provides the panflute daemon.

Package: panflute-applet
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends},
 gnome-panel,
 panflute-daemon (= ${binary:Version}),
 python-dbus (>= 0.80),
 python-gnomeapplet,
 python-gnomedesktop,
 python-gobject,
 python-gtk2 (>= 2.16),
 python-numpy
XB-Python-Version: ${python:Versions}
Description: GNOME panel applet to control several music players
 Panflute provides a generic MPRIS interface to control a variety of
 music players, including many that do not implemented MPRIS themselves.
 This allows developers to create programs that interact with many
 different players, without needing to worry about the details of each
 player's particular interface. Panflute also provides extensions for
 features not included in the MPRIS specification.
 .
 Currently supported players are:
  * Amarok
  * Audacious
  * Banshee
  * Exaile
  * Guayadeque
  * Listen
  * MOC
  * MPD
  * Muine
  * Quodlibet
  * Rhythmbox
  * VLC
  * XMMS2
 .
 This package provides a GNOME panel applet for controlling a variety of music
 players. The applet provides playback controls and information about the
 current song.

=== debian/watch ===
version=3
https://launchpad.net/panflute/+download \
http://launchpad.net/panflute/[\d\.]+/[\d\.]+/\+download/panflute-(.*)\.tar\.gz

## panflute 2.3.0

=== debian/changelog ===
panflute (2.3.0-3) unstable; urgency=medium

  * Fix VCS-* references to point to the right repo
  * Revert changes to test suite after pandoc fixed

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 14 Sep 2024 15:40:43 +0100

panflute (2.3.0-2) unstable; urgency=medium

  * Add VCS-* fields to d/control
  * Move to DEP-14

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 11 Aug 2024 14:27:11 +0100

panflute (2.3.0-1) unstable; urgency=low

  * Initial release (Closes: #1077794)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 02 Aug 2024 01:06:25 +0000

=== debian/control ===
Source: panflute
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pybuild-plugin-pyproject,
               python3-all,
               python3-click,
               python3-pytest,
               python3-setuptools,
               python3-yaml,
               pandoc,
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/sergiocorreia/panflute
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/panflute
Vcs-Git: https://salsa.debian.org/python-team/packages/panflute.git

Package: python3-panflute
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, pandoc,
Description: pythonic pandoc filters
 A Python implementation of pandoc filters making filters as simple and
 clear as possible. It comes with some batteries included for converting
 between markdown and Python objects, calling external programs and
 running panflute as a filter.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=panflute
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, uversionmangle=s/v//" \
https://github.com/sergiocorreia/panflute.git \
refs/tags/([v\d\.]+)
